<?php //提交短信
$post_data = array();
$post_data['userid'] = 108;	//企业ID（userid）登陆后台：https://cloud.yunsms.cn 通过“客户管理”-“我的信息”查询。
$post_data['timestamp'] = '20190117230015';	//时间戳
$post_data['sign'] = '4ae39a0f109f521b488752b9628ac79c';	//密钥， 由（账户+密码+时间戳）拼接后使用md5 32位小写加密。
$post_data['content'] = '【云消息】您的验证码：8899'; 	    //发送短信必须带前缀签名，无签名则失败，签名符号如：【云消息】验证码：9900
$post_data['mobile'] = '13800138000';
$url='http://116.62.155.121:8888/v2sms.aspx?action=send'; 	//提交结果返回xml格式
//url='http://116.62.155.121:8888/v2sms.aspx?action=send&rt=json';	 //提交结果返回json格式
$o='';
foreach ($post_data as $k=>$v)
{
   $o.="$k=".urlencode($v).'&';
}
$post_data=substr($o,0,-1);
$ch = curl_init();
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_setopt($ch, CURLOPT_URL,$url);
curl_setopt($ch, CURLOPT_POSTFIELDS, $post_data);
//curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);	 //将结果直接返回到变量里
$result = curl_exec($ch);

//接入注意事项：
//编码不同，提交入口不同。sms.aspx为utf-8提交入口，smsGBK.aspx为GBK提交入口，防止乱码，详见接口文档说明。
?>